Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class UnrecoverableKeyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.UnrecoverableKeyException

All Implemented Interfaces:
  Serializable

public class UnrecoverableKeyException
extends GeneralSecurityException

This exception is thrown if a key in the keystore cannot be recovered.

Since:
  1.2
See Also:
  Serialized Form

Constructor Summary
`UnrecoverableKeyException()` Constructs an UnrecoverableKeyException with no detail message.
`UnrecoverableKeyException(String msg)` Constructs an UnrecoverableKeyException with the specified detail message, which provides more information about why this exception has been thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnrecoverableKeyException

    public UnrecoverableKeyException()

  Constructs an UnrecoverableKeyException with no detail message.

### UnrecoverableKeyException

    public UnrecoverableKeyException(String msg)

  Constructs an UnrecoverableKeyException with the specified detail message, which provides more information about why this exception has been thrown.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.